;****************************************
;NVRAM include module for loader for DS87C520/DS87C530/DS83C520
;Version 0.0
;Revision history
;Date      Resp  Revision
;06/27/95  KS    Creation
;****************************************
; General notes:
; This module allows a generic static RAM to be used as a nonvolatile
; memory with the High-Speed Microcontroller. For the best speed improvement,
; replace the "call w_byte" commands in the file HSM_LOAD.ASM with the
; appropriate MOVX instructions. This file will not assemble correctly with
; the main program unless this is done.
;****************************************
;-------------------------------------------------------
; f byte [start-addr [end-addr]] - fill data memory with a byte 
;-------------------------------------------------------
f_byte:
        jb    eol,cmd_fx                ; argument that is needed is missing 
        acall gclwrd                    ; get the mandantory argument
        jb    errflg,cmd_fx             ; if notnum then goto cmd_fx 
        acall skipspa                   ; move past the white space
        mov   val,lo                    ; save fill byte in lo 
        acall optional                  ; get optional arguments if any
cmd_fa:
        mov   a,val                     ; fill byte
        movx  @dptr,a                   ; move fill byte to memory
        inc   dptr                      ; get next address 
        mov   a,cmp_h                   ; get top part to compare against 
        cjne  a,dph,cmd_fa              ; if topbytes are unequal keep storing 
        mov   a,cmp_l                   ; and now the bottom part
        cjne  a,dpl,cmd_fa              ; bottom bytes are <>, keep working 
cmd_fx:
        ret                             ;

;-------------------------------------------------------
;Chip erase command is not supported on NVRAM devices.
;-------------------------------------------------------
chip_erase:
    ljmp   cmd_bad


end
